View Issue Details

IDProjectCategoryView StatusLast Update
0024473LazarusConverterpublic2013-12-23 20:43
ReporterDaniel Gaspary Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version1.0.9 (SVN) 
Summary0024473: Delphi Conversion: EClassNotFound On "undeclared" menu items
DescriptionIt seems that some Delphi version prior to 7 didn't create TMenuItem declarations at Unit source. Declaring just at the .dfm.

The program runs ok (on delphi) with this configuration.

This kind of project is converted without errors, but on running raises:

EClassNotFound

TMenuItem not Found.

A way to circumvent the problem is manually to declare the mi's at unit source.
TagsNo tags attached.
Fixed in Revisionr41948, r43550
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0022998 assignedMattias Gaertner Lazarus doesn't complain about missing components in form 
related to 0024702 closedJuha Manninen Problems after r41948 
related to 0025145 resolvedJuha Manninen Identifier not found "TPrintDialog" 
related to 0025425 resolvedJuha Manninen Conversion of a TTabbedNotebook.TTabPage does not create the TTabSheet in the .pas file 

Activities

Daniel Gaspary

2013-05-25 03:44

reporter  

D7toLaz.zip (3,337 bytes)

Daniel Gaspary

2013-05-25 03:46

reporter   ~0067855

Try to convert to Lazarus and to run the attached project to reproduce.

Juha Manninen

2013-07-01 00:06

developer   ~0068670

Please test.

Juha Manninen

2013-07-03 16:00

developer   ~0068712

I had to revert the changes in CheckLFM. This is not fixed yet.

Juha Manninen

2013-12-16 01:32

developer   ~0071912

I think got CheckLfm fixed finally. Please test as much as possible. It can be merged in Lazarus 1.2 if everything works.

Daniel Gaspary

2013-12-23 20:43

reporter   ~0072022

I have tested with both Lazarus and FPC trunk* and the conversion works great.


Thank You, Juha


* Lazarus Revision: 43586 and FPC 2.7.1 [Revision 26273] for x86_64

Issue History

Date Modified Username Field Change
2013-05-25 03:44 Daniel Gaspary New Issue
2013-05-25 03:44 Daniel Gaspary File Added: D7toLaz.zip
2013-05-25 03:46 Daniel Gaspary Note Added: 0067855
2013-05-25 08:38 Juha Manninen LazTarget => -
2013-05-25 08:38 Juha Manninen Category Other => Converter
2013-05-25 08:39 Juha Manninen Assigned To => Juha Manninen
2013-05-25 08:39 Juha Manninen Status new => assigned
2013-06-30 13:13 Juha Manninen Relationship added related to 0022998
2013-07-01 00:06 Juha Manninen Fixed in Revision => r41948
2013-07-01 00:06 Juha Manninen Note Added: 0068670
2013-07-01 00:06 Juha Manninen Status assigned => resolved
2013-07-01 00:06 Juha Manninen Resolution open => fixed
2013-07-02 23:15 Juha Manninen Relationship added related to 0024702
2013-07-03 16:00 Juha Manninen Note Added: 0068712
2013-07-03 16:00 Juha Manninen Status resolved => assigned
2013-07-03 16:00 Juha Manninen Resolution fixed => reopened
2013-10-08 17:41 Juha Manninen Relationship added related to 0025145
2013-12-15 12:52 Juha Manninen Relationship added related to 0025425
2013-12-16 01:32 Juha Manninen Fixed in Revision r41948 => r41948, r43550
2013-12-16 01:32 Juha Manninen Note Added: 0071912
2013-12-16 01:32 Juha Manninen Status assigned => resolved
2013-12-16 01:32 Juha Manninen Resolution reopened => fixed
2013-12-23 20:43 Daniel Gaspary Note Added: 0072022
2013-12-23 20:43 Daniel Gaspary Status resolved => closed